package com.mx.dla.admin.daos;

import org.apache.ibatis.annotations.Param;

import com.mx.dla.admin.dtos.UsuarioDTO;

public interface UsuarioDAO {

	public UsuarioDTO obtenerUsuario(@Param("expediente") String expediente);

	public void actualizaEstadoSesion(@Param("estado") Integer estado, @Param("expediente") String expediente);

	public void insertaBitacora(@Param("descripcion") String descripcion,
			@Param("usuarioIntento") String usuarioIntento, @Param("deraccionIp") String deraccionIp,
			@Param("userAgent") String userAgent);
	public void insertaBitacoraPermiso(@Param("idMenu") String idMenu,
			@Param("usuarioIntento") String usuarioIntento, @Param("deraccionIp") String deraccionIp,
			@Param("userAgent") String userAgent);

}
